<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Geoclue.Base.DiscoverLocation</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="Geoclue-module.html">Package&nbsp;Geoclue</a> ::
        <a href="Geoclue.Base-module.html">Module&nbsp;Base</a> ::
        Class&nbsp;DiscoverLocation
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="Geoclue.Base.DiscoverLocation-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class DiscoverLocation</h1><p class="nomargin-top"><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation">source&nbsp;code</a></span></p>
<p>Discovers the location form the best available provider</p>
  <p><a href="Geoclue.Base.DiscoverLocation-class.html" 
  class="link">DiscoverLocation</a> is a object that provides a nice API 
  interface for Geoclue.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">providers_path</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">/usr/share/geoclue-providers</code><code class="variable-quote">'</code></span>)</span><br />
      Construct a <a href="Geoclue.Base.DiscoverLocation-class.html" 
      class="link">DiscoverLocation</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#init" class="summary-sig-name">init</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">accuracy</span>=<span class="summary-sig-default">1</span>,
        <span class="summary-sig-arg">resource</span>=<span class="summary-sig-default">1</span>)</span><br />
      Initializes Geoclue.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.init">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#provider_status" class="summary-sig-name">provider_status</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">provider</span>)</span><br />
      Checks a provider's status.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.provider_status">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#provider_info" class="summary-sig-name">provider_info</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">provider</span>)</span><br />
      Returns the provider's Info.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.provider_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#set_requirements" class="summary-sig-name">set_requirements</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">accuracy</span>,
        <span class="summary-sig-arg">time</span>,
        <span class="summary-sig-arg">require_updates</span>,
        <span class="summary-sig-arg">resource</span>)</span><br />
      Set the client requirements.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_requirements">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="on_address_provider_changed"></a><span class="summary-sig-name">on_address_provider_changed</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">description</span>,
        <span class="summary-sig-arg">service</span>,
        <span class="summary-sig-arg">path</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_address_provider_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="on_position_provider_changed"></a><span class="summary-sig-name">on_position_provider_changed</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">description</span>,
        <span class="summary-sig-arg">service</span>,
        <span class="summary-sig-arg">path</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_position_provider_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="update_location_address"></a><span class="summary-sig-name">update_location_address</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">address</span>)</span><br />
      Updates the the location's address with the given 
      <code>address</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.update_location_address">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#on_address_changed" class="summary-sig-name">on_address_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">timestamp</span>,
        <span class="summary-sig-arg">address</span>,
        <span class="summary-sig-arg">accuracy</span>)</span><br />
      When the address changes the location info dictionary is updated.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_address_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#on_position_changed" class="summary-sig-name">on_position_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">fields</span>,
        <span class="summary-sig-arg">timestamp</span>,
        <span class="summary-sig-arg">latitude</span>,
        <span class="summary-sig-arg">longitude</span>,
        <span class="summary-sig-arg">altitude</span>,
        <span class="summary-sig-arg">accuracy</span>)</span><br />
      When the position changes the location info dictionary is updated.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_position_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#get_location_info" class="summary-sig-name">get_location_info</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns the location info dictionary.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_location_info">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#get_available_providers" class="summary-sig-name">get_available_providers</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns the available providers.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_available_providers">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#set_position_provider" class="summary-sig-name">set_position_provider</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">provider_name</span>)</span><br />
      Set the position provider to a given <code>provider_name</code> (if 
      exists).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_position_provider">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#validate_address" class="summary-sig-name">validate_address</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">address</span>)</span><br />
      Receives the address and validates/corrects it.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.validate_address">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#set_address_provider" class="summary-sig-name">set_address_provider</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">provider_name</span>,
        <span class="summary-sig-arg">address</span>=<span class="summary-sig-default">None</span>)</span><br />
      Set the address provider</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_address_provider">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#get_position_provider" class="summary-sig-name">get_position_provider</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns the name of the current position provider.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_position_provider">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#get_address_provider" class="summary-sig-name">get_address_provider</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Returns the name of the current address provider.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_address_provider">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#compare_position" class="summary-sig-name">compare_position</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">latitude</span>,
        <span class="summary-sig-arg">longitude</span>,
        <span class="summary-sig-arg">proximity_factor</span>=<span class="summary-sig-default">None</span>)</span><br />
      Compare the current position to a given position.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.compare_position">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#reverse_position" class="summary-sig-name">reverse_position</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">latitude</span>,
        <span class="summary-sig-arg">longitude</span>,
        <span class="summary-sig-arg">accuracy</span>)</span><br />
      Returns an address that corresponds to a given position.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.reverse_position">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#connect" class="summary-sig-name">connect</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">func</span>)</span><br />
      Connects a given function to the signal.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.connect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="Geoclue.Base.DiscoverLocation-class.html#disconnect" class="summary-sig-name">disconnect</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">func</span>)</span><br />
      Disconnects a given function from the signal.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.disconnect">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">providers_path</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">/usr/share/geoclue-providers</code><code class="variable-quote">'</code></span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Construct a <a href="Geoclue.Base.DiscoverLocation-class.html" 
  class="link">DiscoverLocation</a> object.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>providers_path</code></strong> - The path to the providers. The default path to the providers is 
          /usr/share/geoclue-providers.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="init"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">init</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">accuracy</span>=<span class="sig-default">1</span>,
        <span class="sig-arg">resource</span>=<span class="sig-default">1</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.init">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Initializes Geoclue.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>accuracy</code></strong> - The desired accuracy.</li>
        <li><strong class="pname"><code>resource</code></strong> - The resource to be used.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="provider_status"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">provider_status</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">provider</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.provider_status">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Checks a provider's status.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>provider</code></strong> - A provider instance.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>The status.</dd>
  </dl>
</td></tr></table>
</div>
<a name="provider_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">provider_info</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">provider</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.provider_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns the provider's Info.</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>A dictionary with the provider's name and descripiton.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_requirements"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_requirements</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">accuracy</span>,
        <span class="sig-arg">time</span>,
        <span class="sig-arg">require_updates</span>,
        <span class="sig-arg">resource</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_requirements">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Set the client requirements.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>accuracy</code></strong> - The required minimum accuracy.</li>
        <li><strong class="pname"><code>time</code></strong> - The minimum time between update signals.</li>
        <li><strong class="pname"><code>require_updates</code></strong> - <code>True</code> if updates are required or <code>False</code> 
          if updates are not required.</li>
        <li><strong class="pname"><code>resource</code></strong> - The resources that are allowed to be used.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="on_address_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">on_address_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">timestamp</span>,
        <span class="sig-arg">address</span>,
        <span class="sig-arg">accuracy</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_address_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>When the address changes the location info dictionary is updated.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>timestamp</code></strong> - The timestamp.</li>
        <li><strong class="pname"><code>address</code></strong> - The new address.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="on_position_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">on_position_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">fields</span>,
        <span class="sig-arg">timestamp</span>,
        <span class="sig-arg">latitude</span>,
        <span class="sig-arg">longitude</span>,
        <span class="sig-arg">altitude</span>,
        <span class="sig-arg">accuracy</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.on_position_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>When the position changes the location info dictionary is updated.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>fields</code></strong> - The fields.</li>
        <li><strong class="pname"><code>timestamp</code></strong> - The timestamp.</li>
        <li><strong class="pname"><code>latitude</code></strong> - The new latitude.</li>
        <li><strong class="pname"><code>longitude</code></strong> - The new longitude.</li>
        <li><strong class="pname"><code>altitude</code></strong> - The new altitude.</li>
        <li><strong class="pname"><code>accuracy</code></strong> - The accuracy.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_location_info"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_location_info</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_location_info">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns the location info dictionary.</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>The location info dictionary.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_available_providers"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_available_providers</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_available_providers">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns the available providers.</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>A list of dictionarys, [PROVIDER, ADDRESS, POSITION, GEOCODING, 
          REVERSE GEOCODING], with the name and True of False for 
          supporting each of them</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_position_provider"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_position_provider</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">provider_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_position_provider">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Set the position provider to a given <code>provider_name</code> (if 
  exists).</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>provider_name</code></strong> - The provider's name</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd><code>True</code> if the provider exists or <code>False</code> if
          a provider does not exist.</dd>
  </dl>
</td></tr></table>
</div>
<a name="validate_address"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">validate_address</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">address</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.validate_address">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Receives the address and validates/corrects it.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>address</code></strong> - The address dictionary.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>The address (with possible corrections).</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_address_provider"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_address_provider</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">provider_name</span>,
        <span class="sig-arg">address</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.set_address_provider">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Set the address provider</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>provider_name</code></strong> - the provider's name</li>
        <li><strong class="pname"><code>address</code></strong> - the new address (for Manual and Localnet providers)</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd><code>True</code> if the provider exists or <code>False</code> if
          a provider does not exist.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_position_provider"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_position_provider</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_position_provider">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns the name of the current position provider.</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>The name of the current position provider.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_address_provider"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_address_provider</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.get_address_provider">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns the name of the current address provider.</p>
  <dl class="fields">
    <dt>Returns:</dt>
        <dd>The name of the current address provider.</dd>
  </dl>
</td></tr></table>
</div>
<a name="compare_position"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">compare_position</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">latitude</span>,
        <span class="sig-arg">longitude</span>,
        <span class="sig-arg">proximity_factor</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.compare_position">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Compare the current position to a given position.</p>
  <p>Note: ploum's contribution</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>latitude</code></strong> - latitude of the position</li>
        <li><strong class="pname"><code>longitude</code></strong> - longitude of the position</li>
        <li><strong class="pname"><code>proximity_factor</code></strong> - the near by proximity factor. ie, 0.5 is 500 meters</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="reverse_position"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">reverse_position</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">latitude</span>,
        <span class="sig-arg">longitude</span>,
        <span class="sig-arg">accuracy</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.reverse_position">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Returns an address that corresponds to a given position.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>latitude</code></strong> - The position's latitude.</li>
        <li><strong class="pname"><code>longitude</code></strong> - The position's longitude.</li>
        <li><strong class="pname"><code>accuracy</code></strong> - The accuracy.</li>
    </ul></dd>
    <dt>Returns:</dt>
        <dd>An address.</dd>
  </dl>
</td></tr></table>
</div>
<a name="connect"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">connect</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">func</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.connect">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Connects a given function to the signal. The signal action if any 
  change to the info location dictionary.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>func</code></strong> - The function to connect to the signal.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="disconnect"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">disconnect</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">func</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="Geoclue.Base-pysrc.html#DiscoverLocation.disconnect">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Disconnects a given function from the signal.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>func</code></strong> - The function to disconnect from the signal.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="Geoclue-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

      <th class="navbar" width="100%"></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Wed Aug 26 23:13:45 2009
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
